/* Betty-TV-Fernbedienung: Definitionen berall bentigter Datentypen */

#ifndef _STDTYPES_INCLUDED
#define _STDTYPES_INCLUDED


/************** Daten-Typen ********************/

#define  integer   short int
#define  word      unsigned short int
#define  byte      unsigned char
#define  dword     unsigned long
#define  qword     unsigned long long
#define  int64     long long
#define  bool      unsigned char

#define  TRUE      1
#define  FALSE     0


/* schlecht merkbare Kringels */
#define     MOD   %
#define     XOR   ^
#define     NOT   ~
#define     AND   &
#define     OR    |



#define POINT struct TPoint
struct TPoint
{ integer X, Y; };


#define RECT  struct TRect
struct TRect
{ integer  left,
           top,
	   right,
	   bottom;
};



/************** sonstige Strukturen ***************/
#define DATUM struct datumstruct
struct datumstruct
{ byte sekunde;
  byte minute;
  byte stunde;
  byte tag;
  byte monat;
  word jahr;
};


/*  ---  */
#endif






